Subject: bug#14968: closed (Re: bug#14968: Building guix on top of Ubuntu 13.04)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 15 Aug 2013 15:54:03 +0000

Your bug report

#14968: Building guix on top of Ubuntu 13.04

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14968: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14968
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14968: Building guix on top of Ubuntu 13.04
From: [email-masked] (Ludovic Courtès)
To: Amirouche Boubekki <[email-masked]>
Cc: [email-masked]
Date: Thu, 15 Aug 2013 17:53:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Amirouche Boubekki <[email-masked]> skribis:

>>
>> Can you try that and report back?
>>
>
> Sorry, I can't, I moved to debian sid and everything seems to work as
> expected.

Even better.  :-)

Ludo’.

Subject: Building guix on top of Ubuntu 13.04
From: Amirouche Boubekki <[email-masked]>
To: [email-masked]
Date: Sat, 27 Jul 2013 16:50:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I tried to install guix on top of Ubuntu, downloaded guix 0.3 and
installed the required dependecies.

I tried to first run guix pull but failed with an error on /nix/store
with wrong rights, the error provided a command to run which I did.
After that I run again guix pull and try to install zile with the
command guix package -i zile

It fails with the following error:

http://paste.call-cc.org/paste?id=6fdc9664ba6f81cfc0e32d168502945e1d6c95f9

I can't install guile 2.0.9 on ubuntu because of some file clash regarding ffi.

Instead I looked in /nix/store and saw that guile 2.0.9 was installed by guix

so I symlinked it in ~/.guix-profile/bin/

replaced the shebang of /usr/local/bin/guix with  /usr/bin/env guile

Running guix package -i zile still fails with the following error:

http://paste.call-cc.org/paste?id=0372e8cc7d7e2849d1b57a2926e0b359b072fa05